{% extends "lab5_header.html" %}

{% block tab_title %}Note Table Format{% endblock %}
{% block content %}
<div id="lab-2JsonLink" style="display: none;">{% url 'Lab_2:json' %}</div>
<!-- table format -->
<div id="noteTableContainer">
  <h3 class="ms-2 mt-2">Note List</h3>
  <br>
  <table class="table table-striped" id="noteTable">
    <thead>
      <tr>
        <th scope="col">To</th>
        <th scope="col">From</th>
        <th scope="col">Title</th>
        <th scope="col">Message</th>
        <th scope="col" colspan="3">Actions</th>
      </tr>
    </thead>
    <tbody></tbody>
  </table>
</div>

<!-- View Modal -->
<div class="modal fade" id="singleNoteModal" tabindex="-1" aria-labelledby="singleNoteLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-xl">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="singleNoteLabel">Note View</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <h5 class="modal-from">From:</h5>
        <h6 class="text-muted modal-to">To:</h6>
        <p class="modal-message">Message</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

<!-- Edit Modal -->
<div class="modal fade" id="editModal" tabindex="-1" aria-labelledby="editModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-xl">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="editModalLabel">Note Edit</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <form method="POST" action="" id="editForm">
          {% csrf_token %}
          <div class="row mb-3 ms-1 me-1">
            <label for="inputTo" class="col-xl-1 col-lg-2 col-md-3 col-form-label">To:</label>
            <div class="col-xl-3 col-lg-4 col-md-12">
              {{ form.to }}
            </div>
          </div>
          <div class="row mb-3 ms-1 me-1">
            <label for="inputFrom" class="col-xl-1 col-lg-2 col-md-3 col-form-label">From:</label>
            <div class="col-xl-3 col-lg-4 col-md-12">
              {{ form.from }}
            </div>
          </div>
          <div class="row mb-3 ms-1 me-1">
            <label for="inputTitle" class="col-xl-1 col-lg-2 col-md-3 col-form-label">Title:</label>
            <div class="col-xl-3 col-lg-4 col-md-12">
              {{ form.title }}
            </div>
          </div>
          <div class="row mb-3 ms-1 me-1">
            <label for="inputMessage" class="col-lg-2 col-xl-1 col-form-label">Message:</label>
            <div class="col-xl-7 col-lg-8 col-md-12">
              {{ form.message }}
            </div>
          </div>
          <!-- Store note id here -->
          <p id="inputNoteId" class="visually-hidden"></p>
        </form>
      </div>
      <div class="modal-footer">
        <input type="submit" form="editForm" class="btn btn-primary" value="Submit" data-bs-dismiss="modal"/>
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

<!-- Deletion Confirmation Modal -->
<div class="modal fade" id="deleteConfirmModal" tabindex="-1" aria-labelledby="deleteConfirmLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="deleteConfirmLabel">Delete Confirmation</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <p>Are you sure you want to delete this note? This action cannot be undone!</p>
        <p id="deleteNoteId" class="visually-hidden"></p>
      </div>
      <div class="modal-footer">
        <form method="POST" action="" id="deleteConfirmButton">
          {% csrf_token %}
          <button type="submit" class="btn btn-primary" data-bs-dismiss="modal">Submit</button>
        </form>
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
{% endblock content %}